{% load table_block_tags shared_filters %}

<div class="__js-root">
  <ui-popout-table
    sizing-classes="
      my-6 w-full

      {% if not page.root_page.content_is_full_width %}
        max-w-[100ch]
      {% else %}
        max-w-[100%]
      {% endif %}

      {% if page.root_page.content_is_centered %}
        mx-auto
      {% endif %}
    "
    :open-by-default="false"
  >
    {% if table_caption %}
      <template slot="caption">
        <caption class="head-heavy-sm my-4">{{ table_caption }}</caption>
      </template>
    {% endif %}

    {% if table_header %}
      <template slot="head">
        <tr class="bg-black [&_*]:!text-white [&_p]:py-0 [&_p]:my-0 [&_>_th]:py-2">
          {% for column in table_header %}
            {% with forloop.counter0 as col_index %}
              <th scope="col" {% cell_classname 0 col_index %}>
                {% if column.strip %}
                  {{ column.strip|markdown }}
                {% endif %}
              </th>
            {% endwith %}
          {% endfor %}
        </tr>
      </template>
    {% endif %}

    <template slot="body">
      {% for row in data %}
        {% with forloop.counter0 as row_index %}
          <tr>
            {% for column in row %}
              {% with forloop.counter0 as col_index %}
                {% if first_col_is_header and forloop.first %}
                  <th scope="row" {% cell_classname row_index col_index table_header %}>
                    {% if column.strip %}
                      {{ column.strip|markdown }}
                    {% endif %}
                  </th>
                {% else %}
                  <td {% cell_classname row_index col_index table_header %}>
                    {% if column.strip %}
                      {{ column.strip|markdown }}
                    {% endif %}
                  </td>
                {% endif %}
              {% endwith %}
            {% endfor %}
          </tr>
        {% endwith %}
      {% endfor %}
    </template>
  </ui-popout-table>
</div>
